Bug 674281 - lots of unknown NMIs type 31 and 21 with 2.6.38
Summary: lots of unknown NMIs type 31 and 21 with 2.6.38
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 683097
TreeView+ depends on / blocked
 
Reported: 2011-02-01 09:40 UTC by Tomasz Torcz
Modified: 2011-03-08 15:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 683097 (view as bug list)
Environment:
Last Closed: 2011-03-06 02:58:14 UTC


Attachments (Terms of Use)

Description Tomasz Torcz 2011-02-01 09:40:04 UTC
Description of problem:
After upgrading my rawhide boxes to 2.6.38-rc kernels, dmesg is filled with following messages every few seconds"

[  491.782610] Uhhuh. NMI received for unknown reason 31 on CPU 1. 
[  491.782617] Do you have a strange power saving mode enabled? 
[  491.782622] Dazed and confused, but trying to continue 
[  541.524621] Uhhuh. NMI received for unknown reason 21 on CPU 0.

Type 21 and 31 appear. It wasn't the case with .37 kernels on those machines.
Hardware is pretty standard Dell Optiplex GX620, with pentium 4 CPU.
Smolt profile of one machine is here:
http://smolts.org/show?uuid=pub_7d62f4b4-f2f3-4c70-9a04-0aca1f270345

The NMI messages dissapear after issuing "echo 0 > /proc/sys/kernel/nmi_watchdog" (as suggested by powertop).

Version-Release number of selected component (if applicable):
2.6.38-0.rc2.git7.1.fc15.x86_64

How reproducible:
Boot computer.

Comment 1 Tomasz Torcz 2011-02-16 13:50:54 UTC
May be related to: https://lkml.org/lkml/2011/2/16/106

[tip:perf/urgent] perf, x86: P4 PMU: Fix spurious NMI messages

Comment 2 Fedora Update System 2011-02-25 20:08:06 UTC
Package kernel-2.6.38-0.rc6.git4.1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.38-0.rc6.git4.1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.38-0.rc6.git4.1.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-02-28 16:41:50 UTC
Package kernel-2.6.38-0.rc6.git6.1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.38-0.rc6.git6.1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.38-0.rc6.git6.1.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-04 09:55:39 UTC
kernel-2.6.38-0.rc6.git6.1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.